Subject: [bug#36805] Small patch to remove TODO for (@@ (guix build-system r) bioconductor-uri)

From: Kyle Andrews <[email-masked]>
Date: Fri, 26 Jul 2019 00:17:05 -0400

On Thu, 2019-07-25 at 15:48 +0200, zimoun wrote:
> Dear,
> 
> It appears to me nice---if for example one wants to create a channel
> for Bioconductor 3.6 or older.
> This eases the automation of such channel.
> 
> I am using the package `cytofkit`, removed in the last release:
> https://bioconductor.org/about/removed-packages/
> 
> Append strings to build the uri is not really nice.
> https://github.com/zimoun/guix-bimsb/blob/master/bimsb/packages/stagi
> ng.scm#L2895-L2941
> 
> Thank you for this suggestion.
> 
> 
> All the best,
> simon

Hi Simon,

I find it sometimes convenient to use a modified version of the
file.path function in R to save me from myself a bit with file paths
while also adding some semantic markup. Perhaps it would also be useful
for building Guix packages? Users would then seldom have to worry about
incorrectly including trailing slashes. I created a code snippet with
my naive implementation here:

https://gitlab.com/snippets/1879185

Maybe there is already a guile library for this sort of thing?

Regards,

Kyle